Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.control
Class OLAPController

    java.lang.Object
      org.springframework.context.support.ApplicationObjectSupport
          org.springframework.web.context.support.WebApplicationObjectSupport
              org.springframework.web.servlet.support.WebContentGenerator
                  org.springframework.web.servlet.mvc.AbstractController
                      org.springframework.web.servlet.mvc.multiaction.MultiActionController
                          com.jaspersoft.jasperserver.war.control.JRBaseMultiActionController
                              com.jaspersoft.jasperserver.war.control.OLAPController

All Implemented Interfaces:
  org.springframework.context.ApplicationContextAware, org.springframework.web.context.ServletContextAware, org.springframework.web.servlet.mvc.Controller, org.springframework.web.servlet.mvc.LastModified

    public class OLAPController

extends JRBaseMultiActionController

Author:
  swood

Field Summary

Fields inherited from class com.jaspersoft.jasperserver.war.control.JRBaseMultiActionController
`objPermService, repository, userAuthService`

Fields inherited from class org.springframework.web.servlet.mvc.multiaction.MultiActionController
`DEFAULT_COMMAND_NAME, LAST_MODIFIED_METHOD_SUFFIX, PAGE_NOT_FOUND_LOG_CATEGORY, pageNotFoundLogger`

Fields inherited from class org.springframework.web.servlet.support.WebContentGenerator
`METHOD_GET, METHOD_HEAD, METHOD_POST`

Fields inherited from class org.springframework.context.support.ApplicationObjectSupport
`logger`

Constructor Summary
`OLAPController()`

Method Summary
`org.springframework.web.servlet.ModelAndView` | `busy(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`org.springframework.web.servlet.ModelAndView` | `error(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`org.springframework.web.servlet.ModelAndView` | `flush(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`org.springframework.web.servlet.ModelAndView` | `properties(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`org.springframework.web.servlet.ModelAndView` | `viewOlap(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`

Methods inherited from class com.jaspersoft.jasperserver.war.control.JRBaseMultiActionController
`getAllRoles, getAllUsers, getObjPermService, getOlapUnits, getReportUnit, getReportUnit, getReportUnits, getRepository, getUserAuthService, setObjPermService, setRepository, setUserAuthService`

Methods inherited from class org.springframework.web.servlet.mvc.multiaction.MultiActionController
`bind, createBinder, getCommandName, getExceptionHandler, getLastModified, getMethodNameResolver, getValidators, handleNoSuchRequestHandlingMethod, handleRequestInternal, initBinder, initBinder, invokeNamedMethod, newCommandObject, setDelegate, setMethodNameResolver, setValidators`

Methods inherited from class org.springframework.web.servlet.mvc.AbstractController
`handleRequest, isSynchronizeOnSession, setSynchronizeOnSession`

Methods inherited from class org.springframework.web.servlet.support.WebContentGenerator
`applyCacheSeconds, applyCacheSeconds, cacheForSeconds, cacheForSeconds, checkAndPrepare, checkAndPrepare, getCacheSeconds, getSupportedMethods, isRequireSession, isUseCacheControlHeader, isUseExpiresHeader, preventCaching, setCacheSeconds, setRequireSession, setSupportedMethods, setUseCacheControlHeader, setUseExpiresHeader`

Methods inherited from class org.springframework.web.context.support.WebApplicationObjectSupport
`getServletContext, getTempDir, getWebApplicationContext, isContextRequired, setServletContext`

Methods inherited from class org.springframework.context.support.ApplicationObjectSupport
`getApplicationContext, getMessageSourceAccessor, initApplicationContext, requiredContextClass, setApplicationContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OLAPController

    public OLAPController()

Method Detail

### viewOlap

    public org.springframework.web.servlet.ModelAndView viewOlap(javax.servlet.http.HttpServletRequest req,
                                                                 javax.servlet.http.HttpServletResponse res)
                                                          throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### busy

    public org.springframework.web.servlet.ModelAndView busy(javax.servlet.http.HttpServletRequest req,
                                                             javax.servlet.http.HttpServletResponse res)
                                                      throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### flush

    public org.springframework.web.servlet.ModelAndView flush(javax.servlet.http.HttpServletRequest req,
                                                              javax.servlet.http.HttpServletResponse res)
                                                       throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### properties

    public org.springframework.web.servlet.ModelAndView properties(javax.servlet.http.HttpServletRequest req,
                                                                   javax.servlet.http.HttpServletResponse res)
                                                            throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### error

    public org.springframework.web.servlet.ModelAndView error(javax.servlet.http.HttpServletRequest req,
                                                              javax.servlet.http.HttpServletResponse res)
                                                       throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.